com.smartgwt.client.widgets.events

## Class ChangedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<RangeChangedEventHandler>
        - - com.smartgwt.client.widgets.events.ChangedEvent

-     public class ChangedEvent
      extends BrowserEvent<RangeChangedEventHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangedEvent(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(RangeChangedEventHandler handler)`
    `static <S extends HasRangeChangedEventHandlers & HasHandlers> void` | `fire(S source, JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `GwtEvent.Type<RangeChangedEventHandler>` | `getAssociatedType()`
    `float` | `getEndValue()` Deprecated. `GwtFloatVsDouble`
    `double` | `getEndValueAsDouble()` new end value
    `boolean` | `getIsDragging()` whether the user is still in the middle of a drag, so that expensive operations can be avoided if needed
    `float` | `getStartValue()` Deprecated. `GwtFloatVsDouble`
    `double` | `getStartValueAsDouble()` new start value
    `static GwtEvent.Type<RangeChangedEventHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangedEvent

          public ChangedEvent(JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasRangeChangedEventHandlers & HasHandlers> void fire(S source,
                                                                        JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static GwtEvent.Type<RangeChangedEventHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(RangeChangedEventHandler handler)

      Specified by:
        `dispatch` in class `GwtEvent<RangeChangedEventHandler>`

    - #### getAssociatedType

          public final GwtEvent.Type<RangeChangedEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `GwtEvent<RangeChangedEventHandler>`

    - #### getStartValue

          public float getStartValue()

      Deprecated. `GwtFloatVsDouble`
      new start value
      Returns:
        new start value

    - #### getStartValueAsDouble

          public double getStartValueAsDouble()

      new start value
      Returns:
        new start value

    - #### getEndValue

          public float getEndValue()

      Deprecated. `GwtFloatVsDouble`
      new end value
      Returns:
        new end value

    - #### getEndValueAsDouble

          public double getEndValueAsDouble()

      new end value
      Returns:
        new end value

    - #### getIsDragging

          public boolean getIsDragging()

      whether the user is still in the middle of a drag, so that expensive operations can be avoided if needed
      Returns:
        whether the user is still in the middle of a drag, so that expensive operations can be avoided if needed